Skip to main content

Profiles

Profiles are individual consumers of the Meltano Cloud service. A profile is automatically created for a user when they first access the app, or accept an invitation to a workspace from an existing member via email.


Objects

Profile

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe profile ID
namestringThe full name of the person or entity represented by this profile
handlestringThe unique @-prefixed handle for this profile (generated and read-only)
phonestringPhone numberThe profile phone number
emailstringEmail addressThe profile email address
defaultWorkspaceobjectWorkspaceThe profile default workspace
{
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
}
}
}

Requests

View all profiles

GET /api/profiles

Returns all profiles under the authenticated user account.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/profiles' -i -X GET

Response

200 OK

Profile collection with HAL links.

{
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
}
}
}

View a profile

GET /api/profiles/{profile-id}

Returns the profile {profile-id}.

Prerequisites

  • Profile {profile-id} must exist under the authenticated user account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942' -i -X GET

Response

200 OK

Profile with HAL links.

{
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
}
}
}

Create or update profile

PUT /api/profiles/{profile-id}

Creates or updates the user profile.

Prerequisites

  • The authentication subject must match the profile ID {profile-id}

Body

Profile resource.

{
"name" : "SIT-Generated Profile [2026-06-10T07:13:56.040374044]",
"phone" : "52432053169",
"email" : "sit+7tjahxgk@meltano.com"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/profiles/auth0%7C6a290eb31ce7627f41f2430e' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-Generated Profile [2026-06-10T07:13:56.040374044]",
"phone" : "52432053169",
"email" : "sit+7tjahxgk@meltano.com"
}'

Response

200 OK / 201 Created

Profile with HAL links.

{
"id" : "auth0|6a290eb31ce7627f41f2430e",
"name" : "SIT-Generated Profile [2026-06-10T07:13:56.040374044]",
"handle" : "@sit-generatedprofile[2026-06-10t07:13:55.349968451]",
"phone" : "52432053169",
"email" : "sit+7tjahxgk@meltano.com",
"workingAccount" : {
"id" : "auth0|6a290eb31ce7627f41f2430e"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a290eb31ce7627f41f2430e"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
}
}
}

Set a workspace as default

PATCH /api/profiles/{profile-id}

Sets a default workspace for the profile {profile-id}.

Prerequisites

  • The authentication subject must match the profile ID {profile-id}

A workspace can be set as default, which defines the environment Meltano Cloud will initially load with for a given profile. The default workspace setting persists only for the profile that sets it.

Body

Profile resource.

{
"defaultWorkspace" : {
"id" : "1f4dd699-ecb3-4e7f-ab8c-3c077ad51272"
}
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942' -i -X PATCH \
-H 'Content-Type: application/json' \
-d '{
"defaultWorkspace" : {
"id" : "1f4dd699-ecb3-4e7f-ab8c-3c077ad51272"
}
}'

Response

200 OK

Profile with HAL links.

{
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"defaultWorkspace" : {
"name" : "Test Workspace [2026-06-10T07:13:48.250417991]",
"id" : "1f4dd699-ecb3-4e7f-ab8c-3c077ad51272"
},
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
}
}
}